Method: inventorySourceGroups.assignedInventorySources.bulkEdit

  • This operation allows for bulk editing of assignments between inventory sources and a single inventory source group by deleting and creating assigned inventory sources.

  • The request uses a POST method to a specific URL that includes the inventory source group ID as a path parameter.

  • The request body specifies the assigned inventory sources to be deleted and created, along with the ID of the partner or advertiser that owns the inventory source group.

  • The response body contains a list of assigned inventory sources that were successfully created.

  • This operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Bulk edits multiple assignments between inventory sources and a single inventory source group.

The operation will delete the assigned inventory sources provided in BulkEditAssignedInventorySourcesRequest.deleted_assigned_inventory_sources and then create the assigned inventory sources provided in BulkEditAssignedInventorySourcesRequest.created_assigned_inventory_sources.

HTTP request

POST https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources:bulkEdit

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventorySourceGroupId

string (int64 format)

Required. The ID of the inventory source group to which the assignments are assigned.

Request body

The request body contains data with the following structure:

JSON representation
{
  "deletedAssignedInventorySources": [
    string
  ],
  "createdAssignedInventorySources": [
    {
      object (AssignedInventorySource)
    }
  ],

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "partnerId": string,
  "advertiserId": string
  // End of mutually exclusive fields.
}
Fields
deletedAssignedInventorySources[]

string (int64 format)

The IDs of the assigned inventory sources to delete in bulk, specified as a list of assigned_inventory_source_ids.

createdAssignedInventorySources[]

object (AssignedInventorySource)

The assigned inventory sources to create in bulk, specified as a list of AssignedInventorySources.

Required. Identifies the DV360 entity that owns the parent inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the inventory source group.

Only this partner has write access to these assigned inventory sources.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent inventory source group.

The parent partner does not have access to these assigned inventory sources.

End of mutually exclusive fields.

Response body

Response message for AssignedInventorySourceService.BulkEdit.

If successful, the response body contains data with the following structure:

JSON representation
{
  "assignedInventorySources": [
    {
      object (AssignedInventorySource)
    }
  ]
}
Fields
assignedInventorySources[]

object (AssignedInventorySource)

The list of assigned inventory sources that have been successfully created.

This list will be absent if empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.